﻿using PullToRefreshTest.Classes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace PullToRefreshTest
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class DetailPage : ContentPage
    {
        public DetailPage()
        {
            InitializeComponent();
        }

        public DetailPage(Book arg) : this()
        {
            BindingContext = arg;

        }

        private async void pullToRefreshDetail_Refreshing(object sender, EventArgs e)
        {
            pullToRefreshDetail.IsRefreshing = true;
            Console.WriteLine("Refreshing");
            await Task.Delay(500);
            pullToRefreshDetail.IsRefreshing = false;
        }
    }
}