﻿using PullToRefreshTest.Classes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace PullToRefreshTest
{
    public partial class MainPage : ContentPage
    {

        public List<Book> Books { get; set; }
         public MainPage()
        {
            InitializeComponent();
            PopulateBooks();
            BindingContext = this;
        }

        private async void pullToRefresh_Refreshing(object sender, EventArgs e)
        {
            pullToRefresh.IsRefreshing = true;
            Console.WriteLine("Refreshing");
            await Task.Delay(500);
            pullToRefresh.IsRefreshing = false;
        }

        private async void Book_ItemTapped(object sender, Syncfusion.ListView.XForms.ItemTappedEventArgs e)
        {
            await App.NavigationService.NavigateAsync("DetailPage", null);   
        }

        private void PopulateBooks()
        {
            Books = new List<Book>();
            Books.Add(new Book() { BookName = "Book1", BookDescription = "Book Description 1" });
            Books.Add(new Book() { BookName = "Book2", BookDescription = "Book Description 2" });
            Books.Add(new Book() { BookName = "Book3", BookDescription = "Book Description 3" });
            Books.Add(new Book() { BookName = "Book4", BookDescription = "Book Description 4" });
            Books.Add(new Book() { BookName = "Book5", BookDescription = "Book Description 5" });
            Books.Add(new Book() { BookName = "Book6", BookDescription = "Book Description 6" });
            Books.Add(new Book() { BookName = "Book7", BookDescription = "Book Description 7" });
            Books.Add(new Book() { BookName = "Book8", BookDescription = "Book Description 8" });
            Books.Add(new Book() { BookName = "Book9", BookDescription = "Book Description 9" });
            Books.Add(new Book() { BookName = "Book10", BookDescription = "Book Description 10" });
            Books.Add(new Book() { BookName = "Book11", BookDescription = "Book Description 11" });
            Books.Add(new Book() { BookName = "Book12", BookDescription = "Book Description 12" });
            Books.Add(new Book() { BookName = "Book13", BookDescription = "Book Description 13" });
            Books.Add(new Book() { BookName = "Book14", BookDescription = "Book Description 14" });
            Books.Add(new Book() { BookName = "Book15", BookDescription = "Book Description 15" });
            Books.Add(new Book() { BookName = "Book16", BookDescription = "Book Description 16" });
            Books.Add(new Book() { BookName = "Book17", BookDescription = "Book Description 17" });
            Books.Add(new Book() { BookName = "Book18", BookDescription = "Book Description 18" });
            Books.Add(new Book() { BookName = "Book19", BookDescription = "Book Description 19" });
            Books.Add(new Book() { BookName = "Book20", BookDescription = "Book Description 20" });
        }
    }
}
