﻿using PullToRefreshTest.Services;
using System;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

[assembly: XamlCompilation(XamlCompilationOptions.Compile)]
namespace PullToRefreshTest
{
    public partial class App : Application
    {

        public static INavigationService NavigationService { get; } = new NavigationService();
        public App()
        {
            InitializeComponent();

            NavigationService.Configure("MainPage", typeof(MainPage));
            NavigationService.Configure("DetailPage", typeof(DetailPage));
            MainPage = ((NavigationService)NavigationService).SetRootPage("MainPage");
        }

        protected override void OnStart()
        {
            // Handle when your app starts
        }

        protected override void OnSleep()
        {
            // Handle when your app sleeps
        }

        protected override void OnResume()
        {
            // Handle when your app resumes
        }
    }
}
